POST api/Zapier/InsertServiceRequestsVehicleTransfer
Insert service request vehicle transfer.
Request Information
URI Parameters
None.
Body Parameters
ServiceRequestsVehicleTransferModel| Name | Description | Type | Additional information |
|---|---|---|---|
| is_car_under_insured_name | boolean |
None. |
|
| description | string |
None. |
|
| status | string |
None. |
|
| insured_id | globally unique identifier |
None. |
|
| insured_name | string |
None. |
|
| insured_email | string |
None. |
|
| insured_phone | string |
None. |
|
| policy_number | string |
None. |
|
| stage | string |
None. |
|
| custom_type | string |
None. |
|
| request_database_id | globally unique identifier |
None. |
|
| policy_database_id | Collection of globally unique identifier |
None. |
|
| agent_database_id | Collection of globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"is_car_under_insured_name": true,
"description": "sample string 2",
"status": "sample string 3",
"insured_id": "e4ca0014-982f-42da-8d87-56ab7111852e",
"insured_name": "sample string 4",
"insured_email": "sample string 5",
"insured_phone": "sample string 6",
"policy_number": "sample string 7",
"stage": "sample string 8",
"custom_type": "sample string 9",
"request_database_id": "f76564eb-0545-4712-9705-45c93d5d02a3",
"policy_database_id": [
"9e54786f-b272-422c-abd1-e99a8f79c334",
"29d71377-1ff4-4ec4-aebb-e604d4854781"
],
"agent_database_id": [
"d3fe5b73-6ebb-464b-aca0-63746ab8cf6d",
"ded6e458-160c-4ddc-86bc-6d84ae96cf81"
]
}
application/xml, text/xml
Sample:
<ServiceRequestsVehicleTransferModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Models">
<AgentDatabaseId xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">
<d2p1:guid>d3fe5b73-6ebb-464b-aca0-63746ab8cf6d</d2p1:guid>
<d2p1:guid>ded6e458-160c-4ddc-86bc-6d84ae96cf81</d2p1:guid>
</AgentDatabaseId>
<CustomType xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 9</CustomType>
<Description xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 2</Description>
<InsuredEmail xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 5</InsuredEmail>
<InsuredId xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">e4ca0014-982f-42da-8d87-56ab7111852e</InsuredId>
<InsuredName xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 4</InsuredName>
<InsuredPhone xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 6</InsuredPhone>
<PolicyDatabaseId xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">
<d2p1:guid>9e54786f-b272-422c-abd1-e99a8f79c334</d2p1:guid>
<d2p1:guid>29d71377-1ff4-4ec4-aebb-e604d4854781</d2p1:guid>
</PolicyDatabaseId>
<PolicyNumber xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 7</PolicyNumber>
<RequestDatabaseId xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">f76564eb-0545-4712-9705-45c93d5d02a3</RequestDatabaseId>
<Stage xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 8</Stage>
<Status xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations.Contracts">sample string 3</Status>
<IsCarUnderInsuredName>true</IsCarUnderInsuredName>
</ServiceRequestsVehicleTransferModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
NowCertsApiResult| Name | Description | Type | Additional information |
|---|---|---|---|
| Status | ApiStatus |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"status": 0,
"message": "sample string 1"
}
application/xml, text/xml
Sample:
<NowCertsApiResult xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <Message>sample string 1</Message> <Status>Error</Status> </NowCertsApiResult>